Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class ExtensionActivity

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
                  org.apache.ode.bpel.compiler.bom.Activity
                      org.apache.ode.bpel.compiler.bom.CompositeActivity
                          org.apache.ode.bpel.compiler.bom.ExtensionActivity

All Implemented Interfaces:
  ExtensibleElement

    public class ExtensionActivity

extends CompositeActivity
implements ExtensibleElement

BOM representation of the BPEL `<extensionActivity>` activity. The `<extensionActivity>` activity contains a nested DOM element that represents the actual extension element. According to the BPEL 2.0 PR1 specification, the standards elements and standards attributes are not located in the extensionActivity element but in the nested element. Therefore the convenient access methods for standards attributes/elements are overridden to refer to the nested elements.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`ExtensionActivity(org.w3c.dom.Element el)`

Method Summary
`java.util.List<Activity>` | `getActivities()` Get the (ordered) list of child activities.
`Expression` | `getJoinCondition()` Get the join condition.
`java.util.List<LinkSource>` | `getLinkSources()` Get the `LinkSource`s for this activity.
`java.util.List<LinkTarget>` | `getLinkTargets()` Get the `LinkTarget`s for this activity.
`java.lang.String` | `getName()`
`org.w3c.dom.Element` | `getNestedElement()`
`JoinFailureSuppressor.SuppressJoinFailure` | `getSuppressJoinFailure()` Get the suppress join failure flag.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionActivity

    public ExtensionActivity(org.w3c.dom.Element el)

Method Detail

### getJoinCondition

    public Expression getJoinCondition()

  Description copied from class: `Activity`
  Get the join condition.

  Overrides:
    `getJoinCondition` in class `Activity`
  Returns:
    the join condition

### getLinkSources

    public java.util.List<LinkSource> getLinkSources()

  Description copied from class: `Activity`
  Get the `LinkSource`s for this activity.

  Overrides:
    `getLinkSources` in class `Activity`
  Returns:
    set of `LinkSource`s

### getLinkTargets

    public java.util.List<LinkTarget> getLinkTargets()

  Description copied from class: `Activity`
  Get the `LinkTarget`s for this activity.

  Overrides:
    `getLinkTargets` in class `Activity`
  Returns:
    set of `LinkTarget`s

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `Activity`

### getSuppressJoinFailure

    public JoinFailureSuppressor.SuppressJoinFailure getSuppressJoinFailure()

  Description copied from class: `JoinFailureSuppressor`
  Get the suppress join failure flag.

  Overrides:
    `getSuppressJoinFailure` in class `JoinFailureSuppressor`
  Returns:
    suppress join failure flag code

### getActivities

    public java.util.List<Activity> getActivities()

  Description copied from class: `CompositeActivity`
  Get the (ordered) list of child activities.

  Overrides:
    `getActivities` in class `CompositeActivity`
  Returns:
    immutable list of child `Activity` objects

### getNestedElement

    public org.w3c.dom.Element getNestedElement()

  Specified by:
    `getNestedElement` in interface `ExtensibleElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD